Subject: Re: Need help with mdiobus_register and phy

From: Timur Tabi <[email-masked]>
Date: Mon, 17 Oct 2016 15:53:07 -0500

Zefir Kurtisi wrote:
> Anyway, since the SGMII reset is required, instead of reverting the patch in full
> I suggest to move the SGMII power down from at803x_suspend() and do a SerDes power
> cycle in at803x_resume(). Could you please test if the patch below fixes the problem?

I have never seen the original problem that you noticed.  When I use the 
generic phy driver instead of the at803x driver, everything works great 
for me.  Perhaps the problem that you noticed only occurs with the 
Gianfar NIC?

Anyway, I tested the change you suggested, and it fixes the problem for 
me.  I moved the power-down code to before the power-up code.  But like 
I said, since I never experienced the original problem, I don't know if 
that works for you.

I suggest you make the changes in the driver yourself and test it, and 
then I will test whether that patch also works for me.

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the
Code Aurora Forum, hosted by The Linux Foundation.